
%global parent plexus
%global subname maven-plugin

%global maven_settings_file %{_builddir}/%{name}/settings.xml

Name:           %{parent}-%{subname}
Version:        1.3.8
Release:        %mkrel 7
Epoch:          0
Summary:        Plexus Maven plugin
License:        MIT
Group:          Development/Java
URL:            http://plexus.codehaus.org/

# svn export \
#   http://svn.codehaus.org/plexus/archive/plexus-maven-plugin/tags/plexus-maven-plugin-1.3.8
# tar czf plexus-maven-plugin-1.3.8-src.tar.xz plexus-maven-plugin-1.3.8
Source0:        %{name}-%{version}-src.tar.xz

Patch0:         %{name}-doxia.patch

BuildArch:      noarch

BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven2-common-poms >= 1.0
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  plexus-appserver >= 1.0-0.a5.3
BuildRequires:  plexus-cdc >= 1.0-0.8.a14
BuildRequires:  plexus-container-default
BuildRequires:  plexus-runtime-builder >= 1.0-0.a9.2

Requires:       maven
Requires:       maven2-common-poms >= 1.0
Requires:       plexus-appserver >= 1.0-0.a5.3
Requires:       plexus-cdc >= 1.0-0.8.a14
Requires:       plexus-container-default
Requires:       plexus-runtime-builder >= 1.0-0.a9.2
Requires:       maven-shared-reporting-impl

Requires(post):    jpackage-utils >= 0:1.7.2
Requires(postun):  jpackage-utils >= 0:1.7.2

%description
Plexus Maven Plugin helps create plexus component descriptions
from within Maven.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p1

%build
mvn-rpmbuild install javadoc:javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/plexus
install -pm 644 target/*.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{parent}/%{subname}.jar
%add_to_maven_depmap org.codehaus.plexus %{name} %{version} JPP/%{parent} %{subname}

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{parent}-%{subname}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%pre javadoc
# workaround for rpm bug, can be removed in F-17
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :


%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/plexus
%{_mavenpomdir}/*pom
%{_mavendepmapfragdir}/*

%files javadoc
%doc %{_javadocdir}/%{name}



%changelog
* Wed Jul 20 2011 dmorgan <dmorgan> 0:1.3.8-7.mga2
+ Revision: 127150
- Do not requires maven2

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.3.8-6.mga1
+ Revision: 93028
- Rebuild after bootstrapping
- imported package plexus-maven-plugin


* Thu Feb 10 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:1.3.8-4
- Fix build
- Versionless jars & javadocs
- Build with maven 3

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.3.8-3
- Add missing requires.

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:1.3.8-2
- Add doxia patch
- Change dist archive to xz compression
- Fix maven directories ownership

* Wed Jun 23 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:1.3.8-1
- Rebase to new upstream version
- Update BRs to new maven plugins

* Sun Sep 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.3.5-1.3
- BR maven-doxia-sitetools.
- BR maven-surefire-provider-junit.

* Sun Sep 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.3.5-1.2
- Really require plexus-cdc.

* Thu Aug 20 2009 Andrew Overholt <overholt@redhat.com> 0:1.3.5-1.1
- Update to 1.3.5 (courtesy Ralph Apel and Deepak Bhole)
- Remove gcj support

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2-4.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Deepak Bhole <dbhole@redhat.com> 1.2-3.7
- Adjust tomcat requirements

* Mon Mar 23 2009 Deepak Bhole <dbhole@redhat.com> - 0:1.2-3.6
- Fix cdc requirement version
- Added tomcat BR

* Mon Mar 23 2009 Deepak Bhole <dbhole@redhat.com> - 0:1.2-3.5
- Build on ppc64

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2-3.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-2.4
- drop repotag

* Thu Feb 28 2008 Deepak Bhole <dbhole@redhat.com> 1.2-2jpp.3
- Rebuild

* Fri Sep 21 2007 Deepak Bhole <dbhole@redhat.com> 0:1.2-2jpp.2
- ExcludeArch ppc64

* Fri Feb 23 2007 Tania Bento <tbento@redhat.com> 0:1.2-2jpp.1
- Fixed %%Release.
- Fixed %%BuildRoot.
- Removed %%Vendor.
- Removed %%Distribution.
- Removed %%post and %%postun sections for javadoc.
- Fixed %%License to correct license.
- Edited instructions on how to generate source drop.
- Edited %%description.
- Added gcj support option.

* Tue Oct 17 2006 Deepak Bhole <dbhole@redhat.com> 1.2-2jpp
- Update for maven2 9jpp.

* Mon Jun 12 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.2-1jpp
- Initial build
